Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app
Class ServiceLevelParamReadHelper

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.ServiceLevelParamReadHelper

    public class ServiceLevelParamReadHelper

extends Object

Provides helper methods used to read AWT and target service level information from `ServiceLevelParams` objects.

Constructor Summary
`ServiceLevelParamReadHelper(ServiceLevelParams slp, Date startingDate, TimeUnit unit)` Constructs a new service level parameter reader from the parameters stored in `slp`.

Method Summary
`Duration` | `getAwt(int k, int mp)` Returns the acceptable waiting time for contacts of type `k` counted during period `mp`.
`double` | `getAwt(int k, int mp, TimeUnit unit)` Converts the result of `getAwt(int,int)` into the time unit `unit`.
`double` | `getAwtDefault(int k, int mp)` Returns the AWT in the default time unit.
`int` | `getColumns()` Returns the number of columns in the matrix, i.e., the number of main periods.
`String` | `getName()` Returns the name associated with this matrix.
`int` | `getRows()` Returns the number of rows in the matrices, i.e., the number of contact types.
`double` | `getTarget(int k, int mp)` Returns the target service level for contacts of type `k` counted during main period `mp`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceLevelParamReadHelper

    public ServiceLevelParamReadHelper(ServiceLevelParams slp,
                                       Date startingDate,
                                       TimeUnit unit)

  Constructs a new service level parameter reader from the parameters stored in `slp`.

  Parameters:
    `slp` - the service level parameters.
    `startingDate` - the starting date used to transform durations to times in milliseconds.

Method Detail

### getName

    public String getName()

  Returns the name associated with this matrix.

  Returns:
    the name associated with this matrix.

### getRows

    public int getRows()

  Returns the number of rows in the matrices, i.e., the number of contact types.

  Returns:
    the number of rows.

### getColumns

    public int getColumns()

  Returns the number of columns in the matrix, i.e., the number of main periods.

  Returns:
    the number of columns.

### getAwt

    public Duration getAwt(int k,
                           int mp)

  Returns the acceptable waiting time for contacts of type `k` counted during period `mp`.

  Parameters:
    `k` - the contact type.
    `mp` - the main period.
  Returns:
    the AWT.

### getAwt

    public double getAwt(int k,
                         int mp,
                         TimeUnit unit)

  Converts the result of `getAwt(int,int)` into the time unit `unit`.

  Parameters:
    `k` - the contact type.
    `mp` - the main period.
    `unit` - the time unit.
  Returns:
    the AWT.

### getAwtDefault

    public double getAwtDefault(int k,
                                int mp)

  Returns the AWT in the default time unit.

  Parameters:
    `k` - the contact type.
    `mp` - the main period.
  Returns:
    the AWT.

### getTarget

    public double getTarget(int k,
                            int mp)

  Returns the target service level for contacts of type `k` counted during main period `mp`.

  Parameters:
    `k` - the contact type.
    `mp` - the main period.
  Returns:
    the AWT.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.